Package wx :: Package lib :: Module printout :: Class PrintTable

[frames | no frames]

## Class PrintTable

Method Summary
| `__init__(self, parentFrame)`
| `DoDrawing(self, DC)`
| `GetColour(self, colour)`
| `GetTotalPages(self)`
| `HasPage(self, page)`
| `Preview(self)`
| `Print(self)`
| `SetCellColour(self, row, col, colour)`
| `SetCellText(self, row, col, colour)`
| `SetColAlignment(self, col, align)`
| `SetColBackgroundColour(self, col, colour)`
| `SetColors(self)`
| `SetColTextColour(self, col, colour)`
| `SetColumnLineColour(self, col, colour)`
| `SetColumnLineSize(self, col, size)`
| `SetFonts(self)`
| `SetFooter(self, text, type, font, align, indent, colour, size)`
| `SetFooterValue(self)`
| `SetHeader(self, text, type, font, align, indent, colour, size)`
| `SetHeaderValue(self)`
| `SetLabelSpacing(self, before, after)`
| `SetLandscape(self)`
| `SetMargins(self)`
| `SetOrientation(self, orient)`
| `SetPage(self, page)`
| `SetPageSize(self, width, height)`
| `SetPaperId(self, paper)`
| `SetParms(self)`
| `SetPortrait(self)`
| `SetPreview(self, preview, scale)`
| `SetPreviewSize(self, position, size)`
| `SetPrinterOffset(self)`
| `SetRowLineColour(self, row, colour)`
| `SetRowLineSize(self, row, size)`
| `SetRowSpacing(self, before, after)`
| `SetTotalSize(self, width, height)`
| `TextSpacing(self)`

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:49 2007 | http://epydoc.sf.net